﻿<?xml version="1.0" encoding="utf-8"?>
<schema xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" schemaVersion="ISO19757-3" queryBinding="xslt2" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Validation for SBR FTER PreLodge Web Service</title>

<!-- XML/SOAP Namespaces -->
<ns prefix="xs" uri="http://www.w3.org/2001/XMLSchema" />
<ns prefix="i" uri="http://www.w3.org/2001/XMLSchema-instance" />
<!--<ns prefix="exslt" uri="http://gotdotnet.com/exslt/strings" />-->
<ns prefix="xbrli" uri="http://www.xbrl.org/2003/instance" />
<!-- Extension Namespaces -->
<ns prefix="xbrldi" uri="http://xbrl.org/2006/xbrldi" />
<ns prefix="link" uri="http://www.xbrl.org/2003/linkbase" />
<ns prefix="xlink" uri="http://www.w3.org/1999/xlink" />
<ns prefix="tech" uri="http://sbr.gov.au/fdtn/sbr.01.02.tech" />
<ns prefix="pyde.02.00" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data" />
<ns prefix="pyde.02.01" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.01.data" />
<ns prefix="pyde.02.03" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.03.data" />
<ns prefix="pyde.02.05" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.05.data" />
<!-- XBRL/XLink Namespaces -->
<ns prefix="pyid.02.00" uri="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data" />
<ns prefix="pyin.02.00" uri="http://sbr.gov.au/icls/py/pyin/pyin.02.00.data" />
<ns prefix="pyin.02.03" uri="http://sbr.gov.au/icls/py/pyin/pyin.02.03.data" />
<ns prefix="pyin.02.05" uri="http://sbr.gov.au/icls/py/pyin/pyin.02.05.data" />
<!-- Core SBR Namespaces -->
<ns prefix="rvctc3.02.00" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.00.data" />
<ns prefix="rvctc3.02.03" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.03.data" />
<ns prefix="address2.02.01" uri="http://sbr.gov.au/comnmdle/comnmdle.addressdetails2.02.01.module" />
<!-- FTER Namespaces -->
<ns prefix="period1.02.01" uri="http://sbr.gov.au/comnmdle/comnmdle.perioddetails1.02.01.module" />
<ns prefix="pyin.02.05" uri="http://sbr.gov.au/icls/py/pyin/pyin.02.05.data" />
<ns prefix="declaration2.02.01" uri="http://sbr.gov.au/comnmdle/comnmdle.declaration2.02.01.module" />
<ns prefix="orgname2.02.00" uri="http://sbr.gov.au/comnmdle/comnmdle.organisationname2.02.00.module" />
<ns prefix="phone1.02.00" uri="http://sbr.gov.au/comnmdle/comnmdle.electroniccontacttelephone1.02.00.module" />
<ns prefix="prsnunstrcnm1.02.01" uri="http://sbr.gov.au/comnmdle/comnmdle.personunstructuredname1.02.01.module" />
<ns prefix="prsnstrcnm3.02.01" uri="http://sbr.gov.au/comnmdle/comnmdle.personstructuredname3.02.01.module" />
<ns prefix="fter.0001.lodge.req.02.00" uri="http://sbr.gov.au/rprt/ato/fter/fter.0001.lodge.request.02.00.report" />
<ns prefix="function" uri="http://ato.gov.au/SWSFunctions" />
<!-- <ns prefix="fn" uri="http://www.w3.org/2005/xpath-functions" /> -->


<phase id="Prerequisites">
<active pattern="Variables" />
<active pattern="Abstracts" />
<active pattern="Context" />
<active pattern="EnumerationPatterns" />
<active pattern="FieldPatterns" />
</phase>

<phase id="Mandatories">
<active pattern="Variables" />
<active pattern="Mandatories" />
<active pattern="StandaloneMandatories" />
</phase>

<phase id="Content">
<active pattern="Variables" />
<active pattern="Content" />
<active pattern="Person" />
<active pattern="Organisation" />
<active pattern="Address" />
<active pattern="Period" />
<active pattern="Declaration" />
<active pattern="FieldPatterns" />
<active pattern="StandAloneContent" />
</phase>

<include href="../Common/Abstracts.sch" />
<include href="../Common/Content.sch" />
<include href="../Common/Context.sch" />
<include href="../Common/EnumerationPatterns.sch" />
<include href="../Common/FieldPatterns.sch" />
<include href="../Common/Mandatories.sch" />
<include href="../Common/Variables.sch" />
<include href="../Common/Person.sch" />
<include href="../Common/Organisation.sch" />
<include href="../Common/Address.sch" />
<include href="../Common/Period.sch" />
<include href="../Common/Declaration.sch" />
<include href="../Common/StandAloneMandatories.sch" />
<include href="../Common/StandAloneContent.sch" />
<include href="../Diagnostics.sch" />

</schema>