﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldPatterns" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Field Pattern Validations</title>


<rule context="bafpo7.02.04:Assets.Investment.RealEstatePropertyPurchase.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF ([RSPT11] <> NULL) AND ([RSPT11] <> MONETARY(U,11,0))
                RETURN VALIDATION MESSAGE
            ENDIF
            [RSPT11] = RSPT:RP:Assets.Investment.RealEstatePropertyPurchase.Amount
        -->


<assert  id="VR.ATO.RSPT.420017" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpo7.02.04:Assets.Investment.RealEstatePropertySale.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [RSPT13] <> NULL AND [RSPT13] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            [RSPT13] = RSPT:RP:Assets.Investment.RealEstatePropertySale.Amount
        -->


<assert  id="VR.ATO.RSPT.420018" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr2.02.04:Income.RealEstateProperty.CapitalGainsNet.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF ([RSPT14] <> NULL) AND ([RSPT14] <> MONETARY(S,11,0))
            RETURN VALIDATION MESSAGE
            ENDIF
            [RSPT14] = RSPT:RP:Income.RealEstateProperty.CapitalGainsNet.Amount
        -->


<assert  id="VR.ATO.RSPT.420019" diagnostics="DVR.ATO.MONEY.S.11.0" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[-+]?[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr2.02.04:Expense.RealEstateProperty.PlantRecoupedDepreciationOnSale.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF ([RSPT15] <> NULL) AND ([RSPT15] <> MONETARY(U,11,0))
                RETURN VALIDATION MESSAGE
            ENDIF
            [RSPT15] = RSPT:RP:Expense.RealEstateProperty.PlantRecoupedDepreciationOnSale.Amount
        -->


<assert  id="VR.ATO.RSPT.420020" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr2.02.05:Expense.RealEstateProperty.CapitalWorksDeductionRecouped.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [RSPT16] <> NULL AND [RSPT16] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            [RSPT16] = RSPT:RP:Expense.RealEstateProperty.CapitalWorksDeductionRecouped.Amount
        -->


<assert  id="VR.ATO.RSPT.420021" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr2.02.04:Income.RealEstateProperty.Rental.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [RSPT18] <> NULL AND [RSPT18] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            [RSPT18] = RSPT:RP:Income.RealEstateProperty.Rental.Amount
        -->


<assert  id="VR.ATO.RSPT.420022" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr2.02.04:Income.RealEstateProperty.RentalRelatedOther.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [RSPT19] <> NULL AND [RSPT19] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            [RSPT19] = RSPT:RP:Income.RealEstateProperty.RentalRelatedOther.Amount
        -->


<assert  id="VR.ATO.RSPT.420023" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr2.02.04:Expense.RealEstateProperty.Marketing.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [RSPT20] <> NULL AND [RSPT20] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            [RSPT20] = RSPT:RP:Expense.RealEstateProperty.Marketing.Amount
        -->


<assert  id="VR.ATO.RSPT.420024" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr2.02.04:Expense.RealEstateProperty.BodyCorporate.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [RSPT21] <> NULL AND [RSPT21] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [RSPT21] = RSPT:RP:Expense.RealEstateProperty.BodyCorporate.Amount
        -->


<assert  id="VR.ATO.RSPT.420025" diagnostics="DVR.ATO.MONEY.U.11.0" test="@contextRef != $RP.ContextId or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr2.02.04:Expense.RealEstateProperty.Borrowing.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [RSPT22] <> NULL AND [RSPT22] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [RSPT22] = RSPT:RP:Expense.RealEstateProperty.Borrowing.Amount
        -->


<assert  id="VR.ATO.RSPT.420026" diagnostics="DVR.ATO.MONEY.U.11.0" test="@contextRef != $RP.ContextId or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="bafpr2.02.04:Expense.RealEstateProperty.Cleaning.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [RSPT23] <> NULL AND [RSPT23] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [RSPT23] = RSPT:RP:Expense.RealEstateProperty.Cleaning.Amount
        -->


<assert  id="VR.ATO.RSPT.420027" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr2.02.04:Expense.RealEstateProperty.CouncilRates.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [RSPT24] <> NULL AND [RSPT24] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            [RSPT24] = RSPT:RP:Expense.RealEstateProperty.CouncilRates.Amount
        -->


<assert  id="VR.ATO.RSPT.420028" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr1.02.00:Expense.DepreciationandAmortisation.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [RSPT25] <> NULL AND [RSPT25] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [RSPT25] = RSPT:RP:Expense.DepreciationandAmortisation.Amount
        -->


<assert  id="VR.ATO.RSPT.420029" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr2.02.04:Expense.RealEstateProperty.Gardening.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [RSPT26] <> NULL AND [RSPT26] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            [RSPT26] = RSPT:RP:Expense.RealEstateProperty.Gardening.Amount
        -->


<assert  id="VR.ATO.RSPT.420030" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr2.02.04:Expense.RealEstateProperty.CapitalWorksDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [RSPT34] <> NULL AND [RSPT34] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            [RSPT34] = RSPT:RP:Expense.RealEstateProperty.CapitalWorksDeduction.Amount
        -->


<assert  id="VR.ATO.RSPT.420038" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr2.02.04:Expense.RealEstateProperty.Insurance.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [RSPT27] <> NULL AND [RSPT27] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [RSPT27] = RSPT:RP:Expense.RealEstateProperty.Insurance.Amount
        -->


<assert  id="VR.ATO.RSPT.420031" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr2.02.04:Expense.RealEstateProperty.LoanInterest.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [RSPT28] <> NULL AND [RSPT28] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            [RSPT28] = RSPT:RP:Expense.RealEstateProperty.LoanInterest.Amount
        -->


<assert  id="VR.ATO.RSPT.420032" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr1.02.00:Expense.LandTax.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [RSPT29] <> NULL AND [RSPT29] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            [RSPT29] = RSPT:RP:Expense.LandTax.Amount
        -->


<assert  id="VR.ATO.RSPT.420033" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr2.02.04:Expense.RealEstateProperty.LegalFees.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [RSPT30] <> NULL AND [RSPT30] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            [RSPT30] = RSPT:RP:Expense.RealEstateProperty.LegalFees.Amount
        -->


<assert  id="VR.ATO.RSPT.420034" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr2.02.04:Expense.RealEstateProperty.PestControl.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [RSPT31] <> NULL AND [RSPT31] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [RSPT31] = RSPT:RP:Expense.RealEstateProperty.PestControl.Amount
        -->


<assert  id="VR.ATO.RSPT.420035" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr2.02.04:Expense.RealEstateProperty.AgentFeesCommission.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [RSPT32] <> NULL AND [RSPT32] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [RSPT32] = RSPT:RP:Expense.RealEstateProperty.AgentFeesCommission.Amount
        -->


<assert  id="VR.ATO.RSPT.420036" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr2.02.04:Expense.RealEstateProperty.RepairsAndMaintenance.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [RSPT33] <> NULL AND [RSPT33] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [RSPT33] = RSPT:RP:Expense.RealEstateProperty.RepairsAndMaintenance.Amount
        -->


<assert  id="VR.ATO.RSPT.420037" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr2.02.04:Expense.RealEstateProperty.OfficeSupplies.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [RSPT35] <> NULL AND [RSPT35] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
            ENDIF
            [RSPT35] = RSPT:RP:Expense.RealEstateProperty.OfficeSupplies.Amount
        -->


<assert  id="VR.ATO.RSPT.420039" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                       @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                    )"></assert>
</rule>

<rule context="bafpr1.02.00:Expense.Travel.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [RSPT36] <> NULL AND [RSPT36] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [RSPT36] = RSPT:RP:Expense.Travel.Amount
       -->


<assert  id="VR.ATO.RSPT.420040" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
</rule>

<rule context="bafpr2.02.04:Expense.RealEstateProperty.Water.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [RSPT37] <> NULL AND [RSPT37] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [RSPT37] = RSPT:RP:Expense.RealEstateProperty.Water.Amount
        -->


<assert  id="VR.ATO.RSPT.420041" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafot.02.00:RealEstateProperty.RentalWeeks.Count[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF ([RSPT7] <> NULL) AND ([RSPT7] <> NUMBER(U,2,0))
            RETURN VALIDATION MESSAGE
            ENDIF
            [RSPT7] = RSPT:RP:RealEstateProperty.RentalWeeks.Count
        -->


<assert  id="VR.ATO.RSPT.420044" diagnostics="DVR.ATO.RSPT.420044" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,2}$'))
                      )"></assert>
</rule>

<rule context="bafot.02.00:RealEstateProperty.RentalWeeksAvailable.Count[not(@i:nil='true' or @i:nil='1')]">
<!--
        IF ([RSPT8] <> NULL) AND ([RSPT8] <> NUMBER(U,2,0))
        RETURN VALIDATION MESSAGE
        ENDIF
        [RSPT8] = RSPT:RP:RealEstateProperty.RentalWeeksAvailable.Count
        -->


<assert  id="VR.ATO.RSPT.420045" diagnostics="DVR.ATO.RSPT.420045" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,2}$'))
                     )"></assert>
</rule>

<rule context="bafot.02.00:RealEstateProperty.Ownership.Percent[not(@i:nil='true' or @i:nil='1')]">
<!--
        IF [RSPT9] <> NULL AND [RSPT9] <> NUMBER(U,3,0)
        RETURN VALIDATION MESSAGE
        ENDIF
        [RSPT9] = RSPT:RP:RealEstateProperty.Ownership.Percent
        -->


<assert  id="VR.ATO.RSPT.420052" diagnostics="DVR.ATO.RSPT.420052" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,3}$'))
                     )"></assert>
</rule>

<rule context="bafpr2.02.04:Expense.RealEstateProperty.Sundry.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [RSPT38] <> NULL AND [RSPT38] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [RSPT38] = RSPT:RP:Expense.RealEstateProperty.Sundry.Amount
        -->


<assert  id="VR.ATO.RSPT.420042" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr2.02.04:Income.RealEstateProperty.RentalNet.Amount[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [RSPT39] <> NULL AND [RSPT39] <> MONETARY(S,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [RSPT39] = RSPT:RP:Income.RealEstateProperty.RentalNet.Amount
        -->


<assert  id="VR.ATO.RSPT.420043" diagnostics="DVR.ATO.MONEY.S.11.0" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[-+]?[0-9]{1,11}$'))
                      )"></assert>
</rule>
</pattern>