﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Mandatories" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Mandatory Validations</title>


<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">
<!-- 
            IF [RSPT6] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [RSPT6] = RSPT:RP:RealEstateProperty.RentalIncomeFirstEarned.Date
         -->


<assert  id="VR.ATO.RSPT.420001" diagnostics="DVR.ATO.RSPT.420001" test="bafot.02.00:RealEstateProperty.RentalIncomeFirstEarned.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"></assert>
<!-- 
            IF [RSPT7] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [RSPT7] = RSPT:RP:RealEstateProperty.RentalWeeks.Count
         -->


<assert  id="VR.ATO.RSPT.420002" diagnostics="DVR.ATO.RSPT.420002" test="bafot.02.00:RealEstateProperty.RentalWeeks.Count[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"></assert>
<!-- 
            IF [RSPT8] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [RSPT8] = RSPT:RP:RealEstateProperty.RentalWeeksAvailable.Count
         -->


<assert  id="VR.ATO.RSPT.420005" diagnostics="DVR.ATO.RSPT.420005" test="bafot.02.00:RealEstateProperty.RentalWeeksAvailable.Count[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"></assert>
<!-- 
            IF [RSPT9] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF

            [RSPT9] = RSPT:RP:RealEstateProperty.Ownership.Percent
         -->


<assert  id="VR.ATO.RSPT.420006" diagnostics="DVR.ATO.RSPT.420006" test="bafot.02.00:RealEstateProperty.Ownership.Percent[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"></assert>
<!--
            IF [RSPT18] = NULL
            RETURN VALIDATION MESSAGE
            ENDIF
            [RSPT18] = RSPT:RP:Income.RealEstateProperty.Rental.Amount
        -->


<assert  id="VR.ATO.RSPT.420016" diagnostics="DVR.ATO.RSPT.420016" test="bafpr2.02.04:Income.RealEstateProperty.Rental.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"></assert>
<!--
            IF [RSPT10] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF
            [RSPT10] = RSPT:RP:RealEstateProperty.Acquisition.Date
        -->


<assert  id="VR.ATO.RSPT.420008" diagnostics="DVR.ATO.RSPT.420008" test="bafot.02.00:RealEstateProperty.Acquisition.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"></assert>
<!--
            IF [RSPT11] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF
            [RSPT11] = RSPT:RP:Assets.Investment.RealEstatePropertyPurchase.Amount
        -->


<assert  id="VR.ATO.RSPT.420009" diagnostics="DVR.ATO.RSPT.420009" test="bafpo7.02.04:Assets.Investment.RealEstatePropertyPurchase.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"></assert>
<!--
            IF [RSPT17] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF
            [RSPT17] = RSPT:RP:RealEstateProperty.LoanRenegotiated.Indicator
        -->


<assert  id="VR.ATO.RSPT.420014" diagnostics="DVR.ATO.RSPT.420014" test="bafot.02.00:RealEstateProperty.LoanRenegotiated.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"></assert>
<!--
            IF [RSPT2] = NULLORBLANK
                RETURN VALIDATION MESSAGE
            END IF
            
            [RSPT2] = RSPT:RP:AddressDetails.Line1.Text WHERE 
                      (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = "C") IN 
                      TUPLE(addressdetails2.xx.xx:AddressDetails )              
        -->


<assert  id="VR.ATO.RSPT.420055" diagnostics="DVR.ATO.RSPT.420055" test="not(                           
                           not(address2.02.01:AddressDetails[
                               not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.Line1.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') 
                               and string-length(normalize-space(.)) != 0                               
                               and ../pyde.02.00:AddressDetails.Currency.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.) = 'C']])
                      )"></assert>
<!--
            IF [RSPT41] = NULLORBLANK
              RETURN VALIDATION MESSAGE
            END IF
            [RSPT41] = RSPT:RP:OrganisationNameDetails.OrganisationalName.Text 
                       WHERE (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") 
                       IN TUPLE(organisationname1.xx.xx:OrganisationNameDetails )                
        -->


<assert  id="VR.ATO.RSPT.420056" diagnostics="DVR.ATO.RSPT.420056" test="not(
                           not(orgname1.02.00:OrganisationNameDetails[
                               not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') 
                               and string-length(normalize-space(.)) != 0                               
                               and ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.) = 'MN']])
                      )"></assert>
</rule>
</pattern>