﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="EnumerationPatterns" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Enumeration Pattern Validations</title>


<rule context="rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]">

<!--
             IF [FITR204] <> NULL AND [FITR204] <> SET (DOMAIN(CGTExemptionOrRolloverCodesFunds))
              RETURN VALIDATION MESSAGE
            ENDIF

            [FITR204] = FITR:RP:rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code
        -->

    <assert  id="VR.ATO.FITR.434288" diagnostics="DVR.ATO.FITR.434288"
             test="@contextRef != $RP.ContextId or
                      matches(.,'(i?)(^A - Small business active asset reduction)$') or
                      matches(.,'(i?)(^B - Small business retirement exemption)$') or
                      matches(.,'(i?)(^C - Small business roll-over)$') or
                      matches(.,'(i?)(^D - Small business 15 year exemption)$') or
                      matches(.,'(i?)(^F - Scrip for scrip roll-over)$') or
                      matches(.,'(i?)(^L - Replacement asset roll-overs)$') or
                      matches(.,'(i?)(^M - Exchange of shares or units)$') or
                      matches(.,'(i?)(^N - Exchange of rights or options)$') or
                      matches(.,'(i?)(^O - Exchange of shares in one company for shares in another company)$') or
                      matches(.,'(i?)(^P - Exchange of units in a unit trust for shares in a company)$') or
                      matches(.,'(i?)(^Q - Trust restructure roll-over)$') or
                      matches(.,'(i?)(^S - Same asset roll-overs)$') or
                      matches(.,'(i?)(^X - Other exemptions and roll-overs)$') "/>
</rule>
</pattern>