<?xml version="1.0" encoding="UTF-8" standalone="yes"?><xsl:stylesheet xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:saxon="http://saxon.sf.net/" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns:exslt="http://gotdotnet.com/exslt/strings" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrldi="http://xbrl.org/2006/xbrldi" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:tech="http://sbr.gov.au/fdtn/sbr.01.02.tech" xmlns:address2.02.01="http://sbr.gov.au/comnmdle/comnmdle.addressdetails2.02.01.module" xmlns:bafot.02.00="http://sbr.gov.au/icls/baf/bafot/bafot.02.00.data" xmlns:bafpo7.02.04="http://sbr.gov.au/icls/baf/bafpo/bafpo7.02.04.data" xmlns:bafpr1.02.00="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.00.data" xmlns:bafpr1.02.04="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.04.data" xmlns:bafpr2.02.04="http://sbr.gov.au/icls/baf/bafpr/bafpr2.02.04.data" xmlns:bafpr2.02.05="http://sbr.gov.au/icls/baf/bafpr/bafpr2.02.05.data" xmlns:orgname1.02.00="http://sbr.gov.au/comnmdle/comnmdle.organisationname1.02.00.module" xmlns:ptr.0002.lodge.req.02.00="http://sbr.gov.au/rprt/ato/ptr/ptr.0002.lodge.request.02.00.report" xmlns:pyde.02.00="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data" xmlns:pyde.02.01="http://sbr.gov.au/icls/py/pyde/pyde.02.01.data" xmlns:pyde.02.03="http://sbr.gov.au/icls/py/pyde/pyde.02.03.data" xmlns:pyin.02.00="http://sbr.gov.au/icls/py/pyin/pyin.02.00.data" xmlns:rspt.0001.lodge.req.02.00="http://sbr.gov.au/rprt/ato/rspt/rspt.0001.lodge.request.02.00.report" xmlns:function="http://ato.gov.au/SWSFunctions" xmlns:fn="http://www.w3.org/2005/xpath-functions" version="2.0"><!--
            Implementers: please note that overriding process-prolog or process-root is
            the preferred method for meta-stylesheets to use where possible.
        -->


<!--PHASES-->


<!--PROLOG-->
<xsl:import xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" href="RSPT201202Validator_Functions.xsl"/><xsl:variable xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="document-uri"><xsl:value-of select="document-uri(/)"/></xsl:variable><xsl:variable name="Apostrophe">'</xsl:variable><xsl:output xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" method="xml" omit-xml-declaration="no" standalone="yes" indent="no"/><xsl:param xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="document-id"/><!--MODE: SCHEMATRON-FULL-PATH-2ATO-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" match="node() | @*" mode="schematron-get-full-path-2ato"><xsl:for-each select="ancestor-or-self::*"><xsl:if test="name(.) != 'documents' and name(.) != 'document'"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="preceding-sibling::*[name(.)=name(current())]"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template>

<!--XSD TYPES FOR XSLT2-->


<!--KEYS AND FUNCTIONS-->


<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path"><xsl:apply-templates select="." mode="schematron-get-full-path"/></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''"><xsl:value-of select="name()"/></xsl:when><xsl:otherwise><xsl:text>*:</xsl:text><xsl:value-of select="local-name()"/><xsl:text>[namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()"/><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose><xsl:variable name="preceding" select="count(preceding-sibling::*[local-name()=local-name(current())                                   and namespace-uri() = namespace-uri(current())])"/><xsl:text>[</xsl:text><xsl:value-of select="1+ $preceding"/><xsl:text>]</xsl:text></xsl:template><xsl:template match="@*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''">
                            @<xsl:value-of select="name()"/></xsl:when><xsl:otherwise><xsl:text>@*[local-name()='</xsl:text><xsl:value-of select="local-name()"/><xsl:text>' and namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()"/><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="preceding-sibling::*[name(.)=name(current())]"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template><!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--
            This mode can be used to generate prefixed XPath for humans
            (Top-level element has index)
        -->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="parent::*"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template>

<!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path"/><xsl:template match="text()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')"/></xsl:template><xsl:template match="comment()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')"/></xsl:template><xsl:template match="processing-instruction()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')"/></xsl:template><xsl:template match="@*" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.@', name())"/></xsl:template><xsl:template match="*" mode="generate-id-from-path" priority="-0.5"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:text>.</xsl:text><xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')"/></xsl:template>

<!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template><xsl:template match="*" mode="generate-id-2" priority="2"><xsl:text>U</xsl:text><xsl:number level="multiple" count="*"/></xsl:template><xsl:template match="node()" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*"/><xsl:text>n</xsl:text><xsl:number count="node()"/></xsl:template><xsl:template match="@*" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*"/><xsl:text>_</xsl:text><xsl:value-of select="string-length(local-name(.))"/><xsl:text>_</xsl:text><xsl:value-of select="translate(name(),':','.')"/></xsl:template><!--Strip characters--><xsl:template match="text()" priority="-1"/>

<!--SCHEMA SETUP-->
<xsl:template match="/"><xsl:variable xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="results"><xsl:apply-templates select="/" mode="M28"/><xsl:apply-templates select="/" mode="M29"/><xsl:apply-templates select="/" mode="M30"/><xsl:apply-templates select="/" mode="M31"/><xsl:apply-templates select="/" mode="M32"/><xsl:apply-templates select="/" mode="M33"/><xsl:apply-templates select="/" mode="M34"/><xsl:apply-templates select="/" mode="M35"/><xsl:apply-templates select="/" mode="M36"/><xsl:apply-templates select="/" mode="M37"/></xsl:variable><xsl:if xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" test="$results"><xsl:element name="tns:Event" namespace="http://sbr.gov.au/comn/event.02.data" inherit-namespaces="no"><xsl:element name="tns:MaximumSeverity.Code"><xsl:choose><xsl:when test="$results//tns:Severity.Code[.='Error']">Error</xsl:when><xsl:when test="$results//tns:Severity.Code[.='Partial']">Partial</xsl:when><xsl:when test="$results//tns:Severity.Code[.='Warning']">Warning</xsl:when><xsl:when test="$results//tns:Severity.Code[.='Information']">Information</xsl:when><xsl:when test="$results//tns:Severity.Code[.='Progressive']">Progressive</xsl:when><xsl:otherwise>Information</xsl:otherwise></xsl:choose></xsl:element><xsl:element name="tns:EventItems"><xsl:if test="not($results//tns:Severity.Code[.='Error'] or  $results//tns:Severity.Code[.='Partial'])"><xsl:element name="tns:EventItem"><xsl:element name="tns:Error.Code">CMN.ATO.GEN.OK</xsl:element><xsl:element name="tns:Severity.Code">Information</xsl:element><xsl:element name="tns:Short.Description">Message accepted</xsl:element><xsl:element name="tns:Locations"><xsl:element name="tns:Location"><xsl:element name="tns:Location.Instance.Identifier"><xsl:value-of select="$document-id"/></xsl:element></xsl:element></xsl:element></xsl:element></xsl:if><xsl:copy-of copy-namespaces="no" select="$results"/></xsl:element></xsl:element></xsl:if></xsl:template>

<!--SCHEMATRON PATTERNS-->


<!--
                PATTERN AbstractsAbstracts Validations-->
<xsl:template match="text()" priority="-1" mode="M28"/><xsl:template match="@*|node()" priority="-2" mode="M28"><xsl:apply-templates select="*" mode="M28"/></xsl:template>

<!--
                PATTERN ContentContent Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1002" mode="M29">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                            bafot.02.00:RealEstateProperty.Ownership.Percent[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0] &gt; 100                        )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.RSPT.420046</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Percentage must not exceed 100%</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.RSPT.420046</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/bafot.02.00:RealEstateProperty.Ownership.Percent</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                            bafot.02.00:RealEstateProperty.RentalWeeksAvailable.Count[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0] &gt; 52                        )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.RSPT.420004</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Number of weeks property was available for rent this year must not exceed 52</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.RSPT.420004</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/bafot.02.00:RealEstateProperty.RentalWeeksAvailable.Count</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                                       bafot.02.00:RealEstateProperty.RentalWeeks.Count[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0] &gt; 52                        )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.RSPT.420003</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Number of weeks property was rented this year must not exceed 52</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.RSPT.420003</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/bafot.02.00:RealEstateProperty.RentalWeeks.Count</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                             not(bafot.02.00:RealEstateProperty.Disposal.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                             and(                                 bafpo7.02.04:Assets.Investment.RealEstatePropertySale.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                                 or bafpr2.02.04:Expense.RealEstateProperty.PlantRecoupedDepreciationOnSale.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                                 or bafpr2.02.05:Expense.RealEstateProperty.CapitalWorksDeductionRecouped.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                             )                                                   )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.RSPT.420011</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Date property sold must be present</tns:Short.Description><tns:Detailed.Description>Date property sold must be present if Sale price of property or Value of depreciation recouped on sale of the property or Value of building write-off recouped on the sale of the property are present</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.RSPT.420011</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/bafot.02.00:RealEstateProperty.Disposal.Date</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                             not(bafpr2.02.04:Income.RealEstateProperty.CapitalGainsNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                             and(                                     bafot.02.00:RealEstateProperty.Acquisition.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                                     and                                     (function:IsDate1GreaterThanDate2(xs:date(bafot.02.00:RealEstateProperty.Acquisition.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]), xs:date('1985-09-19')))                                     and                                     bafot.02.00:RealEstateProperty.Disposal.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                             )                        )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.RSPT.420007</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Capital gain/loss must be present</tns:Short.Description><tns:Detailed.Description>If property originally purchased after 19/09/1985 and has been sold, capital gain/loss on sale of property must be present</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.RSPT.420007</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/bafpr2.02.04:Income.RealEstateProperty.CapitalGainsNet.Amount</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                             bafot.02.00:RealEstateProperty.Disposal.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                             and(                                 not(bafpo7.02.04:Assets.Investment.RealEstatePropertySale.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                                 or not(bafpr2.02.04:Expense.RealEstateProperty.PlantRecoupedDepreciationOnSale.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                                 or not(bafpr2.02.05:Expense.RealEstateProperty.CapitalWorksDeductionRecouped.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                             )                                                   )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.RSPT.420012</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Sale price and amounts recouped must be present</tns:Short.Description><tns:Detailed.Description>If date property sold is present then sale price of property, depreciation recouped on sale of property and building write-off recouped on sale of property must be present</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.RSPT.420012</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/bafot.02.00:RealEstateProperty.Disposal.Date</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                             bafpo7.02.04:Assets.Investment.RealEstatePropertySale.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                             and                             (not(bafpr2.02.04:Expense.RealEstateProperty.PlantRecoupedDepreciationOnSale.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                             or                             not(bafpr2.02.05:Expense.RealEstateProperty.CapitalWorksDeductionRecouped.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                             )                        )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.RSPT.420013</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Amounts recouped on sale must be present</tns:Short.Description><tns:Detailed.Description>If a value is present at 'Sale price of property', then there must be a value present at 'Value of capital allowances' and at 'Value of capital works deductions'.</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.RSPT.420013</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/bafpo7.02.04:Assets.Investment.RealEstatePropertySale.Amount</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:variable name="VR_ATO_RSPT_420015_RENTALNET_AMOUNT" select="sum(bafpr2.02.04:Income.RealEstateProperty.RentalNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])"/><xsl:variable name="VR_ATO_RSPT_420015_RENTAL_MINUS_EXPENSES" select="sum(                     bafpr2.02.04:Income.RealEstateProperty.Rental.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr2.02.04:Income.RealEstateProperty.RentalRelatedOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                  -                  sum(                      bafpr2.02.04:Expense.RealEstateProperty.Marketing.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr2.02.04:Expense.RealEstateProperty.BodyCorporate.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr2.02.04:Expense.RealEstateProperty.Borrowing.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr2.02.04:Expense.RealEstateProperty.Cleaning.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr2.02.04:Expense.RealEstateProperty.CouncilRates.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr1.02.04:Expense.DepreciationandAmortisation.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr2.02.04:Expense.RealEstateProperty.Gardening.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr2.02.04:Expense.RealEstateProperty.Insurance.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr2.02.04:Expense.RealEstateProperty.LoanInterest.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr1.02.00:Expense.LandTax.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr2.02.04:Expense.RealEstateProperty.LegalFees.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr2.02.04:Expense.RealEstateProperty.PestControl.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr2.02.04:Expense.RealEstateProperty.AgentFeesCommission.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr2.02.04:Expense.RealEstateProperty.RepairsAndMaintenance.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr2.02.04:Expense.RealEstateProperty.CapitalWorksDeduction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr2.02.04:Expense.RealEstateProperty.OfficeSupplies.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr1.02.00:Expense.Travel.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr2.02.04:Expense.RealEstateProperty.Water.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr2.02.04:Expense.RealEstateProperty.Sundry.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                  "/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           abs($VR_ATO_RSPT_420015_RENTALNET_AMOUNT - $VR_ATO_RSPT_420015_RENTAL_MINUS_EXPENSES) &gt; 1                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.RSPT.420015</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Net rental income must equal income minus expenses</tns:Short.Description><tns:Detailed.Description>The Net rental income  must equal the sum of Rental income and Other rental related income, minus the sum of all the Rental expenses</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.RSPT.420015</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/bafpr2.02.04:Income.RealEstateProperty.RentalNet.Amount</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                          not(address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]                                 /pyde.02.00:AddressDetails.OverseasAddress.Indicator[@contextRef=$RP.ContextId                                      and not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$') and                                      ../pyde.02.00:AddressDetails.Currency.Code[@contextRef=$RP.ContextId and                                         not(@i:nil='true' or @i:nil='1') and upper-case(.)='C']])                        )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.RSPT.420058</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>The address of the investment property must be in Australia</tns:Short.Description><tns:Detailed.Description>The Overseas address indicator must be set to 'No' (false) to indicate the address of the property is in Australia</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.RSPT.420058</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.OverseasAddress.Indicator</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M29"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M29">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           not(@i:nil='true' or @i:nil='1')                            and not(string-length(normalize-space(.)) = 0)                           and not (upper-case(.) = 'MN')                        )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.410049</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Organisation Name Type Code must be 'MN'</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.410049</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M29"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M29">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                            upper-case(pyde.02.00:AddressDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')]) != 'C'                        )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.RSPT.420048</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Address currency code must be present and must be 'C'</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.RSPT.420048</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyde.02.00:AddressDetails.Currency.Code</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M29"/></xsl:template><xsl:template match="text()" priority="-1" mode="M29"/><xsl:template match="@*|node()" priority="-2" mode="M29"><xsl:apply-templates select="*" mode="M29"/></xsl:template>

<!--
                PATTERN ContextContext Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M30">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="count(xbrli:context[not(@i:nil='true' or @i:nil='1')])=                        count(xbrli:context/xbrli:period/xbrli:startDate[string-length(normalize-space(.)) != 0 and not(@i:nil='true' or @i:nil='1')])"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.001001</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Mandatory field not supplied</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.000199.RSPT</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:context/xbrli:period/xbrli:startDate</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="count(                     xbrli:context/xbrli:period[not(@i:nil='true' or @i:nil='1')                      and                     ./xbrli:startDate                     and                     ./xbrli:endDate                     and                      function:IsDate1GreaterOrEqualToDate2(./xbrli:startDate,./xbrli:endDate)]) = 0"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.200009</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Period start date must be prior to Period end date</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.000201.RSPT</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:period/xbrli:endDate</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         count($RP.Context) != 1                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.430296</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Invalid context. The number of Reporting party contexts must equal 1</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.000209.RSPT</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:context</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="count(xbrli:context[not(@i:nil='true' or @i:nil='1')]) =                          count(xbrli:context/xbrli:period/xbrli:endDate                                 [string-length(normalize-space(.)) != 0 and not(@i:nil='true' or @i:nil='1')])"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.001001</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Mandatory field not supplied</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.000237.RSPT</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:period/xbrli:endDate</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M30"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/xbrli:context[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M30">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         string-length(xbrli:entity/xbrli:identifier[not(@i:nil='true' or @i:nil='1')])=0                         or count(xbrli:entity/xbrli:identifier[not(@i:nil='true' or @i:nil='1')])=0                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.001020</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Entity identifier not supplied.</tns:Short.Description><tns:Detailed.Description>Mandatory entity identifier not supplied.</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.001020</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           xbrli:entity/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and @scheme != 'http://www.ato.gov.au/tfn']                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.001021</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Invalid identifier scheme.</tns:Short.Description><tns:Detailed.Description>Invalid identifier scheme.  Indentifier scheme must be set to "http://www.ato.gov.au/tfn"</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.001021</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[not(@i:nil='true' or @i:nil='1')]/xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')                               and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$')                               and not(matches(.,'^RprtPyType.02.03:ReportingParty$'))]                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.RSPT.420061</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Invalid Context: ReportPartyType dimension must be 'RprtPyType.02.03:ReportingParty'</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.RSPT.420061</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@id and string-length(normalize-space(@id)) != 0"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.430298</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Invalid Context: Each context must have an identifier and each fact must have a context identifier</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.000241.RSPT</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/id</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M30"/></xsl:template><xsl:template match="text()" priority="-1" mode="M30"/><xsl:template match="@*|node()" priority="-2" mode="M30"><xsl:apply-templates select="*" mode="M30"/></xsl:template>

<!--
                PATTERN DataTypesDataType Validations-->
<xsl:template match="text()" priority="-1" mode="M31"/><xsl:template match="@*|node()" priority="-2" mode="M31"><xsl:apply-templates select="*" mode="M31"/></xsl:template>

<!--
                PATTERN EnumerationPatternsEnumeration Pattern Validations-->


	<!--
            RULE -->
<xsl:template match="pyde.02.03:Party.Type.Code[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M32">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(. = '161' or . = '212')                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.RSPT.420000</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Entity type code must be '161' - Partnership or '212' - Trust</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.RSPT.420000</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M32"/></xsl:template><xsl:template match="text()" priority="-1" mode="M32"/><xsl:template match="@*|node()" priority="-2" mode="M32"><xsl:apply-templates select="*" mode="M32"/></xsl:template>

<!--
                PATTERN FieldPatternsField Pattern Validations-->


	<!--
            RULE -->
<xsl:template match="bafpo7.02.04:Assets.Investment.RealEstatePropertyPurchase.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1029" mode="M33">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.400011</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</tns:Short.Description><tns:Detailed.Description>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.MONEY.U.11.0</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M33"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpo7.02.04:Assets.Investment.RealEstatePropertySale.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1028" mode="M33">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.400011</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</tns:Short.Description><tns:Detailed.Description>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.MONEY.U.11.0</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M33"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr2.02.04:Income.RealEstateProperty.CapitalGainsNet.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1027" mode="M33">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[-+]?[0-9]{1,11}$'))                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.400011</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</tns:Short.Description><tns:Detailed.Description>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.MONEY.S.11.0</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M33"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.PlantRecoupedDepreciationOnSale.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1026" mode="M33">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.400011</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</tns:Short.Description><tns:Detailed.Description>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.MONEY.U.11.0</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M33"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr2.02.05:Expense.RealEstateProperty.CapitalWorksDeductionRecouped.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1025" mode="M33">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.400011</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</tns:Short.Description><tns:Detailed.Description>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.MONEY.U.11.0</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M33"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr2.02.04:Income.RealEstateProperty.Rental.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1024" mode="M33">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.400011</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</tns:Short.Description><tns:Detailed.Description>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.MONEY.U.11.0</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M33"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr2.02.04:Income.RealEstateProperty.RentalRelatedOther.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1023" mode="M33">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.400011</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</tns:Short.Description><tns:Detailed.Description>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.MONEY.U.11.0</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M33"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.Marketing.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1022" mode="M33">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.400011</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</tns:Short.Description><tns:Detailed.Description>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.MONEY.U.11.0</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M33"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.BodyCorporate.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1021" mode="M33">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.ContextId or matches(.,'^[0-9]{1,11}$')"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.400011</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</tns:Short.Description><tns:Detailed.Description>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.MONEY.U.11.0</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M33"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.Borrowing.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1020" mode="M33">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.ContextId or matches(.,'^[0-9]{1,11}$')"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.400011</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</tns:Short.Description><tns:Detailed.Description>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.MONEY.U.11.0</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M33"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.Cleaning.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1019" mode="M33">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.400011</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</tns:Short.Description><tns:Detailed.Description>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.MONEY.U.11.0</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M33"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.CouncilRates.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1018" mode="M33">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.400011</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</tns:Short.Description><tns:Detailed.Description>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.MONEY.U.11.0</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M33"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr1.02.00:Expense.DepreciationandAmortisation.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1017" mode="M33">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.400011</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</tns:Short.Description><tns:Detailed.Description>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.MONEY.U.11.0</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M33"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.Gardening.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1016" mode="M33">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.400011</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</tns:Short.Description><tns:Detailed.Description>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.MONEY.U.11.0</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M33"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.CapitalWorksDeduction.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1015" mode="M33">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.400011</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</tns:Short.Description><tns:Detailed.Description>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.MONEY.U.11.0</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M33"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.Insurance.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1014" mode="M33">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.400011</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</tns:Short.Description><tns:Detailed.Description>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.MONEY.U.11.0</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M33"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.LoanInterest.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1013" mode="M33">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.400011</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</tns:Short.Description><tns:Detailed.Description>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.MONEY.U.11.0</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M33"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr1.02.00:Expense.LandTax.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1012" mode="M33">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.400011</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</tns:Short.Description><tns:Detailed.Description>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.MONEY.U.11.0</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M33"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.LegalFees.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1011" mode="M33">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.400011</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</tns:Short.Description><tns:Detailed.Description>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.MONEY.U.11.0</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M33"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.PestControl.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1010" mode="M33">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.400011</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</tns:Short.Description><tns:Detailed.Description>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.MONEY.U.11.0</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M33"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.AgentFeesCommission.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1009" mode="M33">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.400011</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</tns:Short.Description><tns:Detailed.Description>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.MONEY.U.11.0</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M33"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.RepairsAndMaintenance.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1008" mode="M33">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.400011</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</tns:Short.Description><tns:Detailed.Description>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.MONEY.U.11.0</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M33"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.OfficeSupplies.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1007" mode="M33">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                     )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.400011</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</tns:Short.Description><tns:Detailed.Description>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.MONEY.U.11.0</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M33"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr1.02.00:Expense.Travel.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1006" mode="M33">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.400011</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</tns:Short.Description><tns:Detailed.Description>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.MONEY.U.11.0</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M33"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.Water.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1005" mode="M33">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.400011</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</tns:Short.Description><tns:Detailed.Description>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.MONEY.U.11.0</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M33"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafot.02.00:RealEstateProperty.RentalWeeks.Count[not(@i:nil='true' or @i:nil='1')]" priority="1004" mode="M33">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,2}$'))                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.RSPT.420044</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Field incorrect format. Exceeds maximum digits and/or contains illegal characters</tns:Short.Description><tns:Detailed.Description>Field is in incorrect format for a non negative integer field. Field either exceeds maximum digits and/or contains illegal characters.</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.RSPT.420044</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M33"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafot.02.00:RealEstateProperty.RentalWeeksAvailable.Count[not(@i:nil='true' or @i:nil='1')]" priority="1003" mode="M33">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,2}$'))                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.RSPT.420044</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Field incorrect format. Exceeds maximum digits and/or contains illegal characters</tns:Short.Description><tns:Detailed.Description>Field is in incorrect format for a non negative integer field. Field either exceeds maximum digits and/or contains illegal characters.</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.RSPT.420045</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M33"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafot.02.00:RealEstateProperty.Ownership.Percent[not(@i:nil='true' or @i:nil='1')]" priority="1002" mode="M33">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,3}$'))                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.RSPT.420052</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Field incorrect format. Exceeds maximum digits and/or contains illegal characters</tns:Short.Description><tns:Detailed.Description>Field is in incorrect format for a pure item type. Field either exceeds maximum digits and/or contains illegal characters.</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.RSPT.420052</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M33"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.Sundry.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M33">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.400011</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</tns:Short.Description><tns:Detailed.Description>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.MONEY.U.11.0</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M33"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr2.02.04:Income.RealEstateProperty.RentalNet.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M33">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[-+]?[0-9]{1,11}$'))                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.400011</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</tns:Short.Description><tns:Detailed.Description>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.MONEY.S.11.0</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M33"/></xsl:template><xsl:template match="text()" priority="-1" mode="M33"/><xsl:template match="@*|node()" priority="-2" mode="M33"><xsl:apply-templates select="*" mode="M33"/></xsl:template>

<!--
                PATTERN MandatoriesMandatory Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M34">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="bafot.02.00:RealEstateProperty.RentalIncomeFirstEarned.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.001001</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Mandatory field not supplied</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.RSPT.420001</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/bafot.02.00:RealEstateProperty.RentalIncomeFirstEarned.Date</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="bafot.02.00:RealEstateProperty.RentalWeeks.Count[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.001001</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Mandatory field not supplied</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.RSPT.420002</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/bafot.02.00:RealEstateProperty.RentalWeeks.Count</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="bafot.02.00:RealEstateProperty.RentalWeeksAvailable.Count[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.001001</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Mandatory field not supplied</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.RSPT.420005</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/bafot.02.00:RealEstateProperty.RentalWeeksAvailable.Count</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="bafot.02.00:RealEstateProperty.Ownership.Percent[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.001001</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Mandatory field not supplied</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.RSPT.420006</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/bafot.02.00:RealEstateProperty.Ownership.Percent</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="bafpr2.02.04:Income.RealEstateProperty.Rental.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.001001</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Mandatory field not supplied</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.RSPT.420016</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/bafpr2.02.04:Income.RealEstateProperty.Rental.Amount</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="bafot.02.00:RealEstateProperty.Acquisition.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.001001</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Mandatory field not supplied</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.RSPT.420008</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/bafot.02.00:RealEstateProperty.Acquisition.Date</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="bafpo7.02.04:Assets.Investment.RealEstatePropertyPurchase.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.001001</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Mandatory field not supplied</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.RSPT.420009</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/bafpo7.02.04:Assets.Investment.RealEstatePropertyPurchase.Amount</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="bafot.02.00:RealEstateProperty.LoanRenegotiated.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.001001</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Mandatory field not supplied</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.RSPT.420014</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/bafot.02.00:RealEstateProperty.LoanRenegotiated.Indicator</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                                       not(address2.02.01:AddressDetails[                                not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.Line1.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')                                 and string-length(normalize-space(.)) != 0                                                               and ../pyde.02.00:AddressDetails.Currency.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.) = 'C']])                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.RSPT.420055</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Address of investment property must be present</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.RSPT.420055</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Line1.Text</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                            not(orgname1.02.00:OrganisationNameDetails[                                not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')                                 and string-length(normalize-space(.)) != 0                                                               and ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.) = 'MN']])                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.RSPT.420056</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Organisation name must be present</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.RSPT.420056</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/orgname1.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M34"/></xsl:template><xsl:template match="text()" priority="-1" mode="M34"/><xsl:template match="@*|node()" priority="-2" mode="M34"><xsl:apply-templates select="*" mode="M34"/></xsl:template>

<!--
                PATTERN VariablesXBRL Context Id variables that are applicable accross all of the RSPT services.-->
<xsl:variable name="RP.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/                xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]             ]"/><xsl:variable name="RP.ContextId" select="$RP.Context/@id"/><xsl:template match="text()" priority="-1" mode="M35"/><xsl:template match="@*|node()" priority="-2" mode="M35"><xsl:apply-templates select="*" mode="M35"/></xsl:template>

<!--
                PATTERN OrganisationOrganisation Common Validations-->


	<!--
            RULE -->
<xsl:template match="orgname1.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M36">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) = 0]                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.410147</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Name Type Code must be present if Name of the Interposed Entity is present.</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.436002</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) = 0]                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.410215</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Organisation name must be present</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.436003</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1')                            and string-length(normalize-space(.)) != 0 and not(matches(.,'^(.*)[a-zA-Z0-9](.*)$'))]                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.410039</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Organisation name must contain at least one alpha or numeric character</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.410039.RSPT</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                            pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[matches(.,'^(.*) - (.*)$') and not(@i:nil='true' or @i:nil='1')]                        )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.000413</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Non Individual Name cannot contain space hyphen space combinations</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.000413.RSPT</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                             pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[matches(.,'^(.*)P/L(.*)$','i') and not(@i:nil='true' or @i:nil='1')]                        )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.000414</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Non Individual Name cannot contain "P/L"</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.428259.RSPT</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M36"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M36">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                            matches(.,'^(.*)(--|('')('')|  )(.*)$')                        )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.000416</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Non Individual Name cannot contain repeated hyphen, apostrophe, or space characters</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.428260.0</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M36"/></xsl:template><xsl:template match="text()" priority="-1" mode="M36"/><xsl:template match="@*|node()" priority="-2" mode="M36"><xsl:apply-templates select="*" mode="M36"/></xsl:template>

<!--
                PATTERN AddressAddress Common Validations-->


	<!--
            RULE -->
<xsl:template match="address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]" priority="1009" mode="M37">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')]                         and matches(pyde.02.00:AddressDetails.LocalityName.Text,'^(.*)[0-9](.*)$')                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.000410</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Suburb/Town/City cannot contain numeric characters</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.430246</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="                         not(pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1') and (upper-case(.) = 'TRUE' or . = '1')] and                         not(pyde.02.00:AddressDetails.Country.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]))                       "/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.410191</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Country code must be present for overseas address</tns:Short.Description><tns:Detailed.Description>When the overseas address indicator is 'TRUE', the corresponding Country Code must be supplied</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.410191</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1') and contains(upper-case(.), 'C/-')]                         and                         not(pyde.02.00:AddressDetails.Line2.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.410002</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Address Line 2 must be present if Address Line 1 contains 'C/-'</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.410002</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="pyde.02.00:AddressDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')                           and string-length(normalize-space(.)) != 0]"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.410148</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Address Currency Code must be present if an Address is present.</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.410148</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(pyde.02.00:AddressDetails.Country.Code[not(@i:nil='true' or @i:nil='1') and normalize-space(upper-case(.))='AU']                          and pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')])"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.410211</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Overseas address indicator must not be 'TRUE' if Country Code is 'au'</tns:Short.Description><tns:Detailed.Description>The overseas address indicator must be 'FALSE' if the Country Code is 'au' - representing Australia. If the address is an overseas address please supply the correct Country Code</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.410211</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyde.02.00:AddressDetails.OverseasAddress.Indicator</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(pyde.02.00:AddressDetails.Country.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                and pyde.02.00:AddressDetails.Country.Code[not(@i:nil='true' or @i:nil='1') and normalize-space(upper-case(.))!='AU']                         and pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')])"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.410212</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>If an overseas Country Code is used, the Overseas Address indicator must be 'TRUE'</tns:Short.Description><tns:Detailed.Description>If the address is an Australian address, the overseas address indicator must be set to 'FALSE' and you do not need to supply a Country Code. If the address is an overseas address, the overseas address indicator must be set to 'TRUE' and you must supply a Country Code other than 'au'</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.410212</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyde.02.00:AddressDetails.OverseasAddress.Indicator</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')]                         and(not(pyde.02.00:AddressDetails.StateOrTerritory.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                             or not(pyde.02.00:AddressDetails.Postcode.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]))                        )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.434147</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>State and post code must be present for an Australian address</tns:Short.Description><tns:Detailed.Description>If the overseas indicator is no (false), then an Australian state code and post code must be present</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.434147</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1')                          and string-length(normalize-space(.)) != 0]"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.410167</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Overseas address indicator must be present</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.410167</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.410214</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Address Line 1 must be present</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.410214</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyde.02.00:AddressDetails.Line1.Text</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="pyde.02.00:AddressDetails.LocalityName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.430245</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Suburb/Town/City must be present in an address</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.430245</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyde.02.00:AddressDetails.LocalityName.Text</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M37"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1')]" priority="1008" mode="M37">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(matches(.,'^(.*)UNKNOWN(.*)$','i'))"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.000405</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Address line 1 cannot contain "UNKNOWN"</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.428254</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(contains(upper-case(.), 'AS ABOVE'))"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.410001</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Address Line 1 must not contain 'AS ABOVE'</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.410205</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches(.,'^(C/O |C/ |Care Of |CO )(.*)$','i') or                         matches(.,'^(.*)( C/O | C/ | Care Of )(.*)$','i') or                         matches(.,'^(.*)( C/O| C/| Care Of)$','i') or                         matches(.,'^(C/O|C/|Care Of|CO)$','i')                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.000406</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Address line 1 contains incorrect 'care of' reference.  The only acceptable 'care of' reference is C/-</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.000406</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) &lt; 39"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.410194</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Address Line 1 must not exceed 38 characters</tns:Short.Description><tns:Detailed.Description>Although SBR sets a limit of 50 characters for the Line 1 of an address, the maximum allowable for this form is 38</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.410194</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M37"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Line2.Text[not(@i:nil='true' or @i:nil='1')]" priority="1007" mode="M37">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                             matches(.,'^(C/- |C/O |C/ |Care Of |CO )(.*)$','i') or                             matches(.,'^(.*)( C/- | C/O | C/ | Care Of )(.*)$','i') or                             matches(.,'^(.*)( C/-| C/O| C/| Care Of)$','i') or                             matches(.,'^(C/-|C/O|C/|Care Of|CO)$','i')                           )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.000408</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>'Care of' is not valid for address line 2</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.000408</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(matches(.,'^(.*)UNKNOWN(.*)$','i'))"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.000407</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Address line 2 cannot contain "UNKNOWN"</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.428255</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) &lt; 39"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.410195</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Address Line 2 must not exceed 38 characters</tns:Short.Description><tns:Detailed.Description>Although SBR sets a limit of 50 characters for the Line 2 of an address, the maximum allowable for this form is 38</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.410195</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M37"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Line3.Text[not(@i:nil='true' or @i:nil='1')]" priority="1006" mode="M37">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) = 0"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.410008</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Address Line 3 must be left blank</tns:Short.Description><tns:Detailed.Description>Lines 3 and 4 of the address are not used on this form</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.410008</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M37"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Line4.Text[not(@i:nil='true' or @i:nil='1')]" priority="1005" mode="M37">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) = 0"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.410013</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Address Line 4 must be left blank</tns:Short.Description><tns:Detailed.Description>Lines 3 and 4 of the address are not used on this form</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.410013</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M37"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:AddressDetails.LocalityName.Text[not(@i:nil='true' or @i:nil='1')]" priority="1004" mode="M37">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(matches(.,'^(.*)UNKNOWN(.*)$','i'))"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.000409</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Suburb/Town/City cannot contain "UNKNOWN"</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.428256</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(matches(.,'(\s+|^)(QLD|NSW|VIC|SA|WA|NT|ACT|TAS)(\s+|$)','i'))"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.000411</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Suburb/Town/City cannot contain state code</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.428230</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M37"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:AddressDetails.StateOrTerritory.Code[not(@i:nil='true' or @i:nil='1')]" priority="1003" mode="M37"><xsl:variable name="ucName" select="upper-case(.)"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="     @i:nil='true'                          or @i:nil='1' or string-length(normalize-space(.)) = 0                          or $ucName = 'ACT'                          or $ucName = 'NSW'                          or $ucName = 'NT'                          or $ucName = 'QLD'                          or $ucName = 'SA'                          or $ucName = 'VIC'                          or $ucName = 'WA'                          or $ucName = 'TAS'                          or $ucName = 'AAT'                      "/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.300003</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>For an Australian address, state or territory must be one of: ACT, NSW, NT, QLD, SA, VIC, WA, TAS, AAT</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.300003</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M37"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:AddressDetails.CountryName.Text[not(@i:nil='true' or @i:nil='1')]" priority="1002" mode="M37">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                          string-length(normalize-space(.)) != 0                        )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.410213</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Country Name must be left blank</tns:Short.Description><tns:Detailed.Description>For SBR submissions to the ATO, the Country Name must be left blank. To supply the country for an overseas address please supply a Country Code</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.410213</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M37"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M37">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) = 0 or upper-case(.) = 'C' or upper-case(.) = 'P'"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.428202</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Address currency code must be "C" or "P"</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.428202</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M37"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.Country.Code[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M37"><xsl:variable name="ucvalue" select="upper-case(.)"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) = 0 or                 $ucvalue = 'AD' or                 $ucvalue = 'AE' or                 $ucvalue = 'AF' or                 $ucvalue = 'AG' or                 $ucvalue = 'AI' or                 $ucvalue = 'AL' or                 $ucvalue = 'AM' or                 $ucvalue = 'AN' or                 $ucvalue = 'AO' or                 $ucvalue = 'AQ' or                 $ucvalue = 'AR' or                 $ucvalue = 'AS' or                 $ucvalue = 'AT' or                 $ucvalue = 'AU' or                 $ucvalue = 'AW' or                 $ucvalue = 'AX' or                 $ucvalue = 'AZ' or                 $ucvalue = 'BA' or                 $ucvalue = 'BB' or                 $ucvalue = 'BD' or                 $ucvalue = 'BE' or                 $ucvalue = 'BF' or                 $ucvalue = 'BG' or                 $ucvalue = 'BH' or                 $ucvalue = 'BI' or                 $ucvalue = 'BJ' or                 $ucvalue = 'BL' or                 $ucvalue = 'BM' or                 $ucvalue = 'BN' or                 $ucvalue = 'BO' or                 $ucvalue = 'BR' or                 $ucvalue = 'BS' or                 $ucvalue = 'BT' or                 $ucvalue = 'BV' or                 $ucvalue = 'BW' or                 $ucvalue = 'BY' or                 $ucvalue = 'BZ' or                 $ucvalue = 'CA' or                 $ucvalue = 'CC' or                 $ucvalue = 'CD' or                 $ucvalue = 'CF' or                 $ucvalue = 'CG' or                 $ucvalue = 'CH' or                 $ucvalue = 'CI' or                 $ucvalue = 'CK' or                 $ucvalue = 'CL' or                 $ucvalue = 'CM' or                 $ucvalue = 'CN' or                 $ucvalue = 'CO' or                 $ucvalue = 'CR' or                 $ucvalue = 'CU' or                 $ucvalue = 'CV' or                 $ucvalue = 'CX' or                 $ucvalue = 'CY' or                 $ucvalue = 'CZ' or                 $ucvalue = 'DE' or                 $ucvalue = 'DJ' or                 $ucvalue = 'DK' or                 $ucvalue = 'DM' or                 $ucvalue = 'DO' or                 $ucvalue = 'DZ' or                 $ucvalue = 'EC' or                 $ucvalue = 'EE' or                 $ucvalue = 'EG' or                 $ucvalue = 'EH' or                 $ucvalue = 'ER' or                 $ucvalue = 'ES' or                 $ucvalue = 'ET' or                 $ucvalue = 'FI' or                 $ucvalue = 'FJ' or                 $ucvalue = 'FK' or                 $ucvalue = 'FM' or                 $ucvalue = 'FO' or                 $ucvalue = 'FR' or                 $ucvalue = 'GA' or                 $ucvalue = 'GB' or                 $ucvalue = 'GD' or                 $ucvalue = 'GE' or                 $ucvalue = 'GF' or                 $ucvalue = 'GG' or                 $ucvalue = 'GH' or                 $ucvalue = 'GI' or                 $ucvalue = 'GL' or                 $ucvalue = 'GM' or                 $ucvalue = 'GN' or                 $ucvalue = 'GP' or                 $ucvalue = 'GQ' or                 $ucvalue = 'GR' or                 $ucvalue = 'GS' or                 $ucvalue = 'GT' or                 $ucvalue = 'GU' or                 $ucvalue = 'GW' or                 $ucvalue = 'GY' or                 $ucvalue = 'HK' or                 $ucvalue = 'HM' or                 $ucvalue = 'HN' or                 $ucvalue = 'HR' or                 $ucvalue = 'HT' or                 $ucvalue = 'HU' or                 $ucvalue = 'ID' or                 $ucvalue = 'IE' or                 $ucvalue = 'IL' or                 $ucvalue = 'IM' or                 $ucvalue = 'IN' or                 $ucvalue = 'IO' or                 $ucvalue = 'IQ' or                 $ucvalue = 'IR' or                 $ucvalue = 'IS' or                 $ucvalue = 'IT' or                 $ucvalue = 'JE' or                 $ucvalue = 'JM' or                 $ucvalue = 'JO' or                 $ucvalue = 'JP' or                 $ucvalue = 'KE' or                 $ucvalue = 'KG' or                 $ucvalue = 'KH' or                 $ucvalue = 'KI' or                 $ucvalue = 'KM' or                 $ucvalue = 'KN' or                 $ucvalue = 'KP' or                 $ucvalue = 'KR' or                 $ucvalue = 'KW' or                 $ucvalue = 'KY' or                 $ucvalue = 'KZ' or                 $ucvalue = 'LA' or                 $ucvalue = 'LB' or                 $ucvalue = 'LC' or                 $ucvalue = 'LI' or                 $ucvalue = 'LK' or                 $ucvalue = 'LR' or                 $ucvalue = 'LS' or                 $ucvalue = 'LT' or                 $ucvalue = 'LU' or                 $ucvalue = 'LV' or                 $ucvalue = 'LY' or                 $ucvalue = 'MA' or                 $ucvalue = 'MC' or                 $ucvalue = 'MD' or                 $ucvalue = 'ME' or                 $ucvalue = 'MF' or                 $ucvalue = 'MG' or                 $ucvalue = 'MH' or                 $ucvalue = 'MK' or                 $ucvalue = 'ML' or                 $ucvalue = 'MM' or                 $ucvalue = 'MN' or                 $ucvalue = 'MO' or                 $ucvalue = 'MP' or                 $ucvalue = 'MQ' or                 $ucvalue = 'MR' or                 $ucvalue = 'MS' or                 $ucvalue = 'MT' or                 $ucvalue = 'MU' or                 $ucvalue = 'MV' or                 $ucvalue = 'MW' or                 $ucvalue = 'MX' or                 $ucvalue = 'MY' or                 $ucvalue = 'MZ' or                 $ucvalue = 'NA' or                 $ucvalue = 'NC' or                 $ucvalue = 'NE' or                 $ucvalue = 'NF' or                 $ucvalue = 'NG' or                 $ucvalue = 'NI' or                 $ucvalue = 'NL' or                 $ucvalue = 'NO' or                 $ucvalue = 'NP' or                 $ucvalue = 'NR' or                 $ucvalue = 'NU' or                 $ucvalue = 'NZ' or                 $ucvalue = 'OM' or                 $ucvalue = 'PA' or                 $ucvalue = 'PE' or                 $ucvalue = 'PF' or                 $ucvalue = 'PG' or                 $ucvalue = 'PH' or                 $ucvalue = 'PK' or                 $ucvalue = 'PL' or                 $ucvalue = 'PM' or                 $ucvalue = 'PN' or                 $ucvalue = 'PR' or                 $ucvalue = 'PS' or                 $ucvalue = 'PT' or                 $ucvalue = 'PW' or                 $ucvalue = 'PY' or                 $ucvalue = 'QA' or                 $ucvalue = 'RE' or                 $ucvalue = 'RO' or                 $ucvalue = 'RS' or                 $ucvalue = 'RU' or                 $ucvalue = 'RW' or                 $ucvalue = 'SA' or                 $ucvalue = 'SB' or                 $ucvalue = 'SC' or                 $ucvalue = 'SD' or                 $ucvalue = 'SE' or                 $ucvalue = 'SG' or                 $ucvalue = 'SH' or                 $ucvalue = 'SI' or                 $ucvalue = 'SJ' or                 $ucvalue = 'SK' or                 $ucvalue = 'SL' or                 $ucvalue = 'SM' or                 $ucvalue = 'SN' or                 $ucvalue = 'SO' or                 $ucvalue = 'SR' or                 $ucvalue = 'ST' or                 $ucvalue = 'SV' or                 $ucvalue = 'SY' or                 $ucvalue = 'SZ' or                 $ucvalue = 'TC' or                 $ucvalue = 'TD' or                 $ucvalue = 'TF' or                 $ucvalue = 'TG' or                 $ucvalue = 'TH' or                 $ucvalue = 'TJ' or                 $ucvalue = 'TK' or                 $ucvalue = 'TL' or                 $ucvalue = 'TM' or                 $ucvalue = 'TN' or                 $ucvalue = 'TO' or                 $ucvalue = 'TR' or                 $ucvalue = 'TT' or                 $ucvalue = 'TV' or                 $ucvalue = 'TW' or                 $ucvalue = 'TZ' or                 $ucvalue = 'UA' or                 $ucvalue = 'UG' or                 $ucvalue = 'UM' or                 $ucvalue = 'US' or                 $ucvalue = 'UY' or                 $ucvalue = 'UZ' or                 $ucvalue = 'VA' or                 $ucvalue = 'VC' or                 $ucvalue = 'VE' or                 $ucvalue = 'VG' or                 $ucvalue = 'VI' or                 $ucvalue = 'VN' or                 $ucvalue = 'VU' or                 $ucvalue = 'WF' or                 $ucvalue = 'WS' or                 $ucvalue = 'YE' or                 $ucvalue = 'YT' or                 $ucvalue = 'ZA' or                 $ucvalue = 'ZM' or                 $ucvalue = 'ZW'"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.410192</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Country code must be a valid code</tns:Short.Description><tns:Detailed.Description>Country Code must be one of the two character lower-case codes from Australian Standard 4590, Section 5, Sub-section 5.15</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.410192</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M37"/></xsl:template><xsl:template match="text()" priority="-1" mode="M37"/><xsl:template match="@*|node()" priority="-2" mode="M37"><xsl:apply-templates select="*" mode="M37"/></xsl:template></xsl:stylesheet>