﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Context" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Context Validations</title>


<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF period.startDate = NULLORBLANK WHERE CONTEXT(ALL)
                 RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.000199" diagnostics="DVR.ATO.GEN.000199.RSPT" test="count(xbrli:context[not(@i:nil='true' or @i:nil='1')])= 
                      count(xbrli:context/xbrli:period/xbrli:startDate[string-length(normalize-space(.)) != 0 and not(@i:nil='true' or @i:nil='1')])"></assert>
<!-- 
            IF period.startDate >= period.endDate WHERE CONTEXT(ALL)
                RETURN VALIDATION MESSAGE
            ENDIF        
        -->


<assert  id="VR.ATO.GEN.000201" diagnostics="DVR.ATO.GEN.000201.RSPT" test="count(
                    xbrli:context/xbrli:period[not(@i:nil='true' or @i:nil='1') 
                    and
                    ./xbrli:startDate
                    and
                    ./xbrli:endDate
                    and 
                    function:IsDate1GreaterOrEqualToDate2(./xbrli:startDate,./xbrli:endDate)]) = 0"></assert>
<!--
            IF COUNT(RP) <> 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.000209" diagnostics="DVR.ATO.GEN.000209.RSPT" test="not(
                        count($RP.Context) != 1
                      )"></assert>
<!--
            IF period.endDate = NULLORBLANK WHERE CONTEXT(ALL)
                RETURN VALIDATION MESSAGE
            ENDIF        
        -->


<assert  id="VR.ATO.GEN.000237" diagnostics="DVR.ATO.GEN.000237.RSPT" test="count(xbrli:context[not(@i:nil='true' or @i:nil='1')]) = 
                        count(xbrli:context/xbrli:period/xbrli:endDate
                                [string-length(normalize-space(.)) != 0 and not(@i:nil='true' or @i:nil='1')])"></assert>
</rule>

<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/xbrli:context[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF entity.identifier = NULLORBLANK
                RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.001020" diagnostics="DVR.ATO.GEN.001020" test="not(
                        string-length(xbrli:entity/xbrli:identifier[not(@i:nil='true' or @i:nil='1')])=0
                        or count(xbrli:entity/xbrli:identifier[not(@i:nil='true' or @i:nil='1')])=0
                      )"></assert>
<!--
            IF Identifier Scheme <> "http://www.ato.gov.au/tfn"
                RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.001021" diagnostics="DVR.ATO.GEN.001021" subject="xbrli:identifier" test="not(
                          xbrli:entity/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and @scheme != 'http://www.ato.gov.au/tfn']
                      )"></assert>
<!--
            IF RprtPyType.xx.xx:ReportPartyTypeDimension <> ""RprtPyType.02.03:ReportingParty""
                RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.RSPT.420061" diagnostics="DVR.ATO.RSPT.420061" test="not(
                          xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[not(@i:nil='true' or @i:nil='1')]/xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                             and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') 
                             and not(matches(.,'^RprtPyType.02.03:ReportingParty$'))]
                      )"></assert>
<!--
            IF context.id = NULLORBLANK
                RETURN VALIDATION MESSAGE
            ENDIF    
        -->


<assert  id="VR.ATO.GEN.000241" diagnostics="DVR.ATO.GEN.000241.RSPT" test="@id and string-length(normalize-space(@id)) != 0"></assert>
</rule>
</pattern>