﻿<?xml version="1.0" encoding="utf-8"?>
<schema xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" schemaVersion="ISO19757-3" queryBinding="xslt2" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Validation for SBR RSPT Lodge Web Service</title>

<!-- XML/SOAP Namespaces -->
<ns prefix="xs" uri="http://www.w3.org/2001/XMLSchema" />
<ns prefix="i" uri="http://www.w3.org/2001/XMLSchema-instance" />
<ns prefix="exslt" uri="http://gotdotnet.com/exslt/strings" />
<ns prefix="xbrli" uri="http://www.xbrl.org/2003/instance" />
<!-- Extension Namespaces -->
<ns prefix="xbrldi" uri="http://xbrl.org/2006/xbrldi" />
<ns prefix="link" uri="http://www.xbrl.org/2003/linkbase" />
<ns prefix="xlink" uri="http://www.w3.org/1999/xlink" />
<ns prefix="tech" uri="http://sbr.gov.au/fdtn/sbr.01.02.tech" />
<ns prefix="address2.02.01" uri="http://sbr.gov.au/comnmdle/comnmdle.addressdetails2.02.01.module" />
<ns prefix="bafot.02.00" uri="http://sbr.gov.au/icls/baf/bafot/bafot.02.00.data" />
<ns prefix="bafpo7.02.04" uri="http://sbr.gov.au/icls/baf/bafpo/bafpo7.02.04.data" />
<ns prefix="bafpr1.02.00" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.00.data" />
<!-- XBRL/XLink Namespaces -->
<ns prefix="bafpr1.02.04" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.04.data" />
<ns prefix="bafpr2.02.04" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr2.02.04.data" />
<ns prefix="bafpr2.02.05" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr2.02.05.data" />
<ns prefix="orgname1.02.00" uri="http://sbr.gov.au/comnmdle/comnmdle.organisationname1.02.00.module" />
<!-- Core SBR Namespaces -->
<ns prefix="ptr.0002.lodge.req.02.00" uri="http://sbr.gov.au/rprt/ato/ptr/ptr.0002.lodge.request.02.00.report" />
<ns prefix="pyde.02.00" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data" />
<ns prefix="pyde.02.01" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.01.data" />
<!-- RSPT Namespaces -->
<ns prefix="pyde.02.03" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.03.data" />
<ns prefix="pyin.02.00" uri="http://sbr.gov.au/icls/py/pyin/pyin.02.00.data" />
<ns prefix="rspt.0001.lodge.req.02.00" uri="http://sbr.gov.au/rprt/ato/rspt/rspt.0001.lodge.request.02.00.report" />
<ns prefix="function" uri="http://ato.gov.au/SWSFunctions" />
<ns prefix="fn" uri="http://www.w3.org/2005/xpath-functions" />


<phase id="Prerequisites">
<active pattern="Variables" />
<active pattern="Abstracts" />
<active pattern="Context" />
<active pattern="DataTypes" />
<active pattern="EnumerationPatterns" />
<active pattern="FieldPatterns" />
</phase>

<phase id="Mandatories">
<active pattern="Variables" />
<active pattern="Mandatories" />
</phase>

<phase id="Content">
<active pattern="Variables" />
<active pattern="Content" />
<active pattern="Organisation" />
<active pattern="Address" />
<active pattern="FieldPatterns" />
</phase>

<include href="../Common/Abstracts.sch" />
<include href="../Common/Content.sch" />
<include href="../Common/Context.sch" />
<include href="../Common/DataTypes.sch" />
<include href="../Common/EnumerationPatterns.sch" />
<include href="../Common/FieldPatterns.sch" />
<!-- Rule Phasing -->
<include href="../Common/Mandatories.sch" />
<include href="../Common/Variables.sch" />
<include href="../Common/Organisation.sch" />
<include href="../Common/Address.sch" />
<include href="../Diagnostics.sch" />
</schema>