﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Context" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Context Validations</title>


<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF COUNT(CONTEXT(RP.Closing(Instant))) > 1 
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.430280" diagnostics="DVR.ATO.GEN.430280.SMSFAR" test="not(count($RPI.Closing.Context) &gt; 1)"></assert>
<!--
            IF COUNT(CONTEXT(RP.JForeign)) > 1 
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.430267" diagnostics="DVR.ATO.GEN.430267.SMSFAR" test="not(count($RP.JFOREIGN.Context) &gt; 1)"></assert>
<!--
            IF COUNT(CONTEXT(RP.JAus)) > 1 
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.430266" diagnostics="DVR.ATO.GEN.430266.SMSFAR" test="not(count($RP.JAUS.Context) &gt; 1)"></assert>
<!--
            IF COUNT(CONTEXT(RP.Closing.Y0Plus)) > 1
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.SMSFAR.436306" diagnostics="DVR.ATO.SMSFAR.436306" test="count($RP.Y0Plus.Closing.Context) &lt;= 1"></assert>
<!--
            IF COUNT(RP) <> 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.000209" diagnostics="DVR.ATO.GEN.000209.SMSFAR" test="not(
                        count($RP.Context) != 1
                      )"></assert>
<!--
            IF COUNT(INT) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.000227" diagnostics="DVR.ATO.GEN.000227.SMSFAR" test="not(
                        count($INT.Context) &gt; 1
                      )"></assert>
<!--
            IF COUNT(CONTEXT(RP.TOFA)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.430302" diagnostics="DVR.ATO.GEN.430302.SMSFAR" test="not(
                        count($RP.TOFA.Context) &gt; 1
                      )"></assert>
<!--
            IF COUNT(Auditor) <> 1
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.SMSFAR.436259" diagnostics="DVR.ATO.SMSFAR.436259" test="not(
                        count($Auditor.Context) != 1  
                      )"></assert>
<!--
            IF COUNT(CONTEXT(RPI.Closing.JAus)) > 1 
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.SMSFAR.436263" diagnostics="DVR.ATO.SMSFAR.436263" test="not(
                        count($RPI.Closing.JAUS.Context) &gt; 1  
                      )"></assert>
<!--
            IF COUNT(CONTEXT(RPI.Closing.JForeign)) > 1 
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.SMSFAR.436264" diagnostics="DVR.ATO.SMSFAR.436264" test="not(
                        count($RPI.Closing.JFOREIGN.ContextId) &gt; 1  
                      )"></assert>
<!--
            IF COUNT(CONTEXT(RP.Closing)) > 1 
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.SMSFAR.436265" diagnostics="DVR.ATO.SMSFAR.436265" test="not(
                        count($RP.Closing.ContextId) &gt; 1  
                      )"></assert>
<!--
            IF COUNT(CONTEXT(RPI.Closing.Y0Plus)) > 1
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.SMSFAR.436267" diagnostics="DVR.ATO.SMSFAR.436267" test="not(
                        count($RPI.Y0Plus.Closing.ContextId) &gt; 1  
                      )"></assert>
<!--
            IF COUNT(CONTEXT(RP.JAUS.OverseasRealProperty)) > 1
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.SMSFAR.436541" diagnostics="DVR.ATO.SMSFAR.436541" test="not(
                        count($RP.JAUS.OverseasRealProperty.Context) &gt; 1  
                      )"></assert>
<!--
            IF COUNT(CONTEXT(RP.JAUS.AustralianShares)) > 1
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.SMSFAR.436542" diagnostics="DVR.ATO.SMSFAR.436542" test="not(
                        count($RP.JAUS.AustralianShares.Context) &gt; 1  
                      )"></assert>
<!--
            IF COUNT(CONTEXT(RP.JAUS.OtherShares)) > 1
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.SMSFAR.436543" diagnostics="DVR.ATO.SMSFAR.436543" test="not(
                        count($RP.JAUS.OtherShares.Context) &gt; 1  
                      )"></assert>
<!--
            IF COUNT(CONTEXT(RP.JAUS.Other)) > 1
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.SMSFAR.436544" diagnostics="DVR.ATO.SMSFAR.436544" test="not(
                        count($RP.JAUS.Other.Context) &gt; 1  
                      )"></assert>
<!--
            IF COUNT(CONTEXT(RP.Deductible)) > 1
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.SMSFAR.436545" diagnostics="DVR.ATO.SMSFAR.436545" test="not(
                        count($RP.Deductible.Context) &gt; 1  
                      )"></assert>
<!--
            IF COUNT(CONTEXT(RP.Deductible.JFOREIGN)) > 1
            RETURN VALIDATION MESSAGE
            ENDIF
            VR.ATO.SMSFAR.436547	CMN.ATO.SMSFAR.436547
        -->

<assert  id="VR.ATO.SMSFAR.436547" diagnostics="DVR.ATO.SMSFAR.436547" test="not(
                        count($RP.Deductible.JFOREIGN.Context) &gt; 1  
                      )"></assert>
<!--
            IF COUNT(CONTEXT(RP.NonDeductible.JAUS)) > 1 
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.SMSFAR.436549" diagnostics="DVR.ATO.SMSFAR.436549" test="not(
                        count($RP.NonDeductible.JAUS.Context) &gt; 1  
                      )"></assert>
<!--
            IF COUNT(CONTEXT(RP.NonDeductible.JFOREIGN)) > 1
                 RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.SMSFAR.436550" diagnostics="DVR.ATO.SMSFAR.436550" test="not(
                        count($RP.NonDeductible.JFOREIGN.Context) &gt; 1  
                      )"></assert>
<!--
            IF COUNT(CONTEXT(RP.JAUS.AustResidentialRealProperty)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.SMSFAR.436539" diagnostics="DVR.ATO.SMSFAR.436539" test="not(
                        count($RP.JAUS.AustResidentialRealProperty.Context) &gt; 1  
                      )"></assert>
<!--
            IF COUNT(CONTEXT(RP.JAUS.AustNonResidentialRealProperty)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.SMSFAR.436540" diagnostics="DVR.ATO.SMSFAR.436540" test="not(
                        count($RP.JAUS.AustNonResidentialRealProperty.Context) &gt; 1  
                      )"></assert>
<!--
            IF COUNT(CONTEXT(RP.Deductible.JAUS)) > 1 
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.SMSFAR.436546" diagnostics="DVR.ATO.SMSFAR.436546" test="not(
                        count($RP.Deductible.JAUS.Context) &gt; 1  
                      )"></assert>
<!--
            IF COUNT(CONTEXT(RP.NonDeductible)) > 1 
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.SMSFAR.436548" diagnostics="DVR.ATO.SMSFAR.436548" test="not(
                        count($RP.NonDeductible.Context) &gt; 1  
                      )"></assert>
<!--VR.ATO.GEN.438030
            IF (RprtPyType.xx.xx:ReportingPartyTypeDimension = “RprtPyType.xx.xx:Intermediary”)
            AND (entity.identifier.scheme <> “http://www.ato.gov.au/abn”)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.438030" diagnostics="DVR.ATO.GEN.438030.SMSF" test="not(xbrli:context[not(@i:nil='true' or @i:nil='1')]/xbrli:entity[not(@i:nil='true' or @i:nil='1') and xbrli:identifier[not(@i:nil='true' or @i:nil='1') and not(matches(@scheme,'^http://www.ato.gov.au/abn$'))]
                     and xbrli:segment[not(@i:nil='true' or @i:nil='1')]/xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:Intermediary$')]])"></assert>
</rule>

<rule context="xbrli:context[not(@i:nil='true' or @i:nil='1')]/xbrli:entity[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF (entity.identifier.TFN WHERE CONTEXT(ALL)) <> RP:entity.identifier.TFN
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.001023" diagnostics="DVR.ATO.GEN.001023.SMSFAR" test="not(
                        xbrli:identifier[lower-case(@scheme) = 'http://www.ato.gov.au/tfn'] != $RP.Identifier.TFN
                      )"></assert>
</rule>

<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/xbrli:context[not(@i:nil='true' or @i:nil='1')]">

<!--
        IF (RprtPyType.xx.xx:ReportingPartyTypeDimension = “RprtPyType.xx.xx:ReportingParty”) 
            AND (entity.identifier.scheme <> “http://www.ato.gov.au/tfn”)
            RETURN VALIDATION MESSAGE
        ENDIF
       -->

<assert  id="VR.ATO.GEN.438029" diagnostics="DVR.ATO.GEN.438029.SMSFAR" test="not(
                            xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                            xbrli:segment[not(@i:nil='true' or @i:nil='1')]/
                            xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:(ReportingParty)$')]
                        )
                        or
                        xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn' and not(@i:nil='true' or @i:nil='1')]"></assert>
<!--
            IF period.startDate >= period.endDate WHERE CONTEXT(ALL)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.000201" diagnostics="DVR.ATO.GEN.000201.SMSFAR" test="not(
                        xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] and
                        xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] and
                        function:IsDate1GreaterOrEqualToDate2(
                            xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')],
                            xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')])
                      )"></assert>
<!--
            IF entity.identifier.TFN = NULLORBLANK WHERE CONTEXT <> SET("INT", "Auditor")
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.SMSFAR.436295" diagnostics="DVR.ATO.SMSFAR.436295" test="not(
                        @id != $INT.ContextId and 
                        @id != $Auditor.ContextId and                         
                        not(xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                           xbrli:identifier[not(@i:nil='true' or @i:nil='1') and upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN' and string-length(normalize-space(.)) != 0])
                      )"></assert>
<!--
            IF context.id = NULLORBLANK
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.000241" diagnostics="DVR.ATO.GEN.000241" test="not(
                        not(@id) or string-length(normalize-space(@id)) = 0
                      )"></assert>
<!--
            IF entity.identifier.ABN = NULLORBLANK WHERE CONTEXT = "INT"
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.430316" diagnostics="DVR.ATO.GEN.430316.SMSFAR" test="not(
                        @id = $INT.ContextId and 
                        not(xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and 
                           upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/ABN' and 
                           string-length(normalize-space(.)) != 0]) 
                      )"></assert>
<!--
            IF (RprtPyType.xx.xx:ReportingPartyTypeDimension = “RprtPyType.xx.xx:Auditor”) 
            AND (entity.identifier.scheme <> "http://www.asic.gov.au/san")
               RETURN VALIDATION MESSAGE
            ENDIF
            
        -->

<assert  id="VR.ATO.SMSFAR.436268" diagnostics="DVR.ATO.SMSFAR.436268" test="not(
                            xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                            xbrli:segment[not(@i:nil='true' or @i:nil='1')]/
                            xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:(Auditor)$')]
                        )
                        or
                        xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[@scheme='http://www.asic.gov.au/san' and not(@i:nil='true' or @i:nil='1')]"></assert>
</rule>

<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/xbrli:context[not(@i:nil='true' or @i:nil='1')]/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF (RP:entity.identifier.TFN <> NULLORBLANK) AND (TFNALGORITHM (RP:entity.identifier.TFN) = FALSE)
              RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.428016" diagnostics="DVR.ATO.GEN.428016.SMSFAR" test="not(
                            (../../@id = $RP.ContextId)
                            and
                            (upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN')
                            and
                            string-length(normalize-space(.)) != 0 
                            and
                            not(function:ValidateTFN(.))
                          )"></assert>
<!-- 
            IF (INT:entity.identifier.ABN <> NULLORBLANK) AND (ABNALGORITHM(RP:entity.identifier.ABN) = FALSE)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.428253" diagnostics="DVR.ATO.GEN.428253.SMSFAR" test="not(
                        ../../@id = $INT.ContextId
                        and
                        upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/ABN'
                        and
                        string-length(normalize-space(.)) != 0 
                        and
                        not(function:ValidateABN(.))                          
                      )"></assert>
<!--
            IF Auditor:entity.identifier.san <> NULLORBLANK AND SAN ALGORITHM(Auditor:entity.identifier.san) = FALSE
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.SMSFAR.436337" diagnostics="DVR.ATO.SMSFAR.436337" test="not(
                        ../../@id = $Auditor.ContextId
                        and
                        upper-case(@scheme) = 'HTTP://WWW.ASIC.GOV.AU/SAN' 
                        and
                        string-length(normalize-space(.)) != 0 
                        and
                        not(function:ValidateACN(.))                          
                      )"></assert>
</rule>
</pattern>